Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 553298 (CVE-2015-3900) - <dev-ruby/rubygems-{2.2.5,2.4.8}: DNS request hijacking (CVE-2015-3900)
Summary: <dev-ruby/rubygems-{2.2.5,2.4.8}: DNS request hijacking (CVE-2015-3900)
Status: RESOLVED FIXED
Alias: CVE-2015-3900
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: http://www.openwall.com/lists/oss-sec...
Whiteboard: B3 [noglsa/cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-26 09:20 UTC by Agostino Sarubbo
Modified: 2015-10-07 08:00 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2015-06-26 09:20:32 UTC
From ${URL} :

RubyGems 2.0.x before 2.0.16, 2.2.x before 2.2.5, and 2.4.x before 2.4.8
does not validate the hostname when fetching gems or making API request,
which allows remote attackers to redirect requests to arbitrary domains via
a crafted DNS SRV record, aka a "DNS hijack attack."
"""

References:
*
https://www.trustwave.com/Resources/SpiderLabs-Blog/Attacking-Ruby-Gem-Security-with-CVE-2015-3900/
* http://blog.rubygems.org/2015/05/14/CVE-2015-3900.html
* http://blog.rubygems.org/2015/06/08/2.4.8-released.html
* http://blog.rubygems.org/2015/06/08/2.2.5-released.html
*
https://www.trustwave.com/Resources/Security-Advisories/Advisories/TWSL2015-007/?fid=6356
*
https://www.trustwave.com/Resources/Security-Advisories/Advisories/TWSL2015-009/?fid=6478



@maintainer(s): since the fixed package is already in the tree, please let us know if it is ready for the stabilization or not.
Comment 1 Hans de Graaff gentoo-dev 2015-06-28 08:11:44 UTC
Fixed rubygems versions are already in the tree and can be marked stable.

=dev-ruby/rubygems-2.2.5
Comment 2 Jeroen Roovers gentoo-dev 2015-06-29 06:31:50 UTC
Stable for PPC64.
Comment 3 Yury German Gentoo Infrastructure gentoo-dev Security 2015-06-29 21:00:26 UTC
Arches, please test and mark stable:

=dev-ruby/rubygems-2.2.5

Target Keywords : "alpha amd64 arm hppa ia64 ppc ppc64 sparc x86"

Thank you!
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2015-06-29 21:01:04 UTC
CVE-2015-3900 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-3900):
  RubyGems 2.0.x before 2.0.16, 2.2.x before 2.2.4, and 2.4.x before 2.4.7
  does not validate the hostname when fetching gems or making API request,
  which allows remote attackers to redirect requests to arbitrary domains via
  a crafted DNS SRV record, aka a "DNS hijack attack."
Comment 5 Agostino Sarubbo gentoo-dev 2015-06-30 10:07:50 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2015-06-30 10:08:05 UTC
x86 stable
Comment 7 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-07-01 07:26:36 UTC
arm stable
Comment 8 Jeroen Roovers gentoo-dev 2015-07-03 03:58:42 UTC
Stable for HPPA.
Comment 9 Agostino Sarubbo gentoo-dev 2015-07-03 10:06:07 UTC
alpha stable
Comment 10 Agostino Sarubbo gentoo-dev 2015-07-23 09:05:13 UTC
ppc stable
Comment 11 Agostino Sarubbo gentoo-dev 2015-07-23 09:38:49 UTC
sparc stable
Comment 12 Yury German Gentoo Infrastructure gentoo-dev Security 2015-09-09 04:21:53 UTC
Version - 2.2.5-r1 already stabilized, which supersedes this. 

Security Please Vote.
First GLSA Vote: No

Maintainer(s), please drop the vulnerable version(s).
Comment 13 Hans de Graaff gentoo-dev 2015-09-09 05:47:55 UTC
Vulnerable versions removed.
Comment 14 Agostino Sarubbo gentoo-dev 2015-09-24 08:10:04 UTC
ia64 stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 15 Yury German Gentoo Infrastructure gentoo-dev Security 2015-09-27 03:32:26 UTC
Arches and Maintainer(s), Thank you for your work.

GLSA Vote: No
Comment 16 Kristian Fiskerstrand gentoo-dev Security 2015-10-07 08:00:29 UTC
(In reply to Yury German from comment #15)
> Arches and Maintainer(s), Thank you for your work.
> 
> GLSA Vote: No

GLSA Vote: No